net.sourceforge.jnlp.services

## Class XServiceManagerStub

- java.lang.Object
- - net.sourceforge.jnlp.services.XServiceManagerStub

All Implemented Interfaces:
  ServiceManagerStub

    public class XServiceManagerStub
    extends java.lang.Object
    implements ServiceManagerStub

Lookup table for services.

### Constructor Summary

Constructors
Constructor and Description
`XServiceManagerStub()`

### Method Summary

Methods
`java.lang.String[]` `getServiceNames()` Returns the service names.
`java.lang.Object` `lookup(java.lang.String name)` Returns the service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XServiceManagerStub

    public XServiceManagerStub()

### Method Detail

#### getServiceNames

    public java.lang.String[] getServiceNames()

Returns the service names.

Specified by:
  `getServiceNames` in interface `ServiceManagerStub`

#### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws UnavailableServiceException

Returns the service.

Specified by:
  `lookup` in interface `ServiceManagerStub`
Throws:
  `UnavailableServiceException` - if service is not available